Get sequences

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/sequences

Get the sequences. Add a query parameter for each column to filter on. If you are not an administrator, you must give project_id. A vendor gets the sequences of their tasks in the whole project, even with episode_id.

Query parameters

  • episode_id string(uuid)

    Get only the entities of this episode

  • project_id string(uuid)

    Unique identifier of the project. Required if you are not an administrator and do not give episode_id.

  • page integer

    Page to get, answered as an object with data, total, nb_pages, limit, offset and page. Without page nor limit, the route returns the full list.

  • limit integer

    Number of rows in a page, or in a request of a cursor walk

  • cursor_id string(uuid)

    Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit

Responses

  • 200 application/json

    The list of sequences

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • project_id string(uuid)
    • parent_id string(uuid)
  • 400

    An identifier is not a valid UUID

  • 403

    You do not have access to this project

  • 404

    The episode does not exist

GET /data/sequences
curl -X GET "http://api.example.com/data/sequences?episode_id=a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/sequences"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "episode_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "SQ01",
    "project_id": "b24a6ea4-ce75-4665-a070-57453082c250",
    "parent_id": "c24a6ea4-ce75-4665-a070-57453082c250"
  }
]